Changeset 974 for trunk


Ignore:
Timestamp:
Jul 16, 2013 5:44:42 AM (6 years ago)
Author:
stefan
Message:

check for Metis before HSL; rerun autotools

Location:
trunk
Files:
21 edited

Legend:

Unmodified
Added
Removed
  • trunk/Couenne/Makefile.in

    r970 r974  
    301301ac_ct_CXX = @ac_ct_CXX@
    302302ac_ct_F77 = @ac_ct_F77@
    303 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    304303ac_ct_RANLIB = @ac_ct_RANLIB@
    305304ac_ct_STRIP = @ac_ct_STRIP@
    306305ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     306ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    307307am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    308308am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/configure

    r971 r974  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11001100                          icl/link). Default when mentioned: mingw. Default
    11011101                          when not mentioned: disabled.
    1102 
    11031102  --enable-debug          compile all projects with debug options tests
    11041103                          (implies --disable-shared)
     
    17741773echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    17751774  fi
    1776 
    1777 
    1778 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1779 if test "${enable_static_standardlibs+set}" = set; then
    1780   enableval="$enable_static_standardlibs"
    1781   case "$enableval" in
    1782      no | yes | auto ) ;;
    1783      *)
    1784        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1785 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1786    { (exit 1); exit 1; }; } ;;
    1787    esac
    1788    use_static_standardlibs=$enableval
    1789 else
    1790   use_static_standardlibs=no
    1791 fi;
    1792 
    17931775
    17941776
     
    27452727          clang* ) ;;
    27462728          cl* | */cl* | CL* | */CL*)
    2747             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    2748               coin_opt_cflags='-MD -O2'
    2749               coin_dbg_cflags='-MDd'
    2750             else
    2751               coin_opt_cflags='-MT -O2'
    2752               coin_dbg_cflags='-MTd'
    2753             fi
     2729            coin_opt_cflags='-MT -O2'
    27542730            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
     2731            coin_dbg_cflags='-MTd'
    27552732            ;;
    27562733          icl* | */icl* | ICL* | */ICL*)
    2757             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    2758               coin_opt_cflags='-MD -Ox'
    2759               coin_dbg_cflags='-MDd -debug'
    2760             else
    2761               coin_opt_cflags='-MT -Ox'
    2762               coin_dbg_cflags='-MTd -debug'
    2763             fi
     2734            coin_opt_cflags='-MT -Ox'
    27642735            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
     2736            coin_dbg_cflags='-MTd -debug'
    27652737            ;;
    27662738        esac
     
    29272899    CFLAGS="$OPT_CFLAGS"
    29282900  fi
    2929 
    29302901else
    29312902  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    30963067esac
    30973068
    3098 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3099 if test x$use_static_standardlibs != xno ; then
    3100   case $build in
    3101     *-mingw*)
    3102       static_standardlib_flag=-static
    3103       ;;
    3104     *)
    3105       static_standardlib_flag=-static-libgcc
    3106       ;;
    3107   esac
    3108   case " $LDFLAGS " in
    3109     *" $static_standardlib_flag "* ) ;;
    3110     *)
    3111     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3112 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3113     coin_save_LDFLAGS="$LDFLAGS"
    3114     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3115     cat >conftest.$ac_ext <<_ACEOF
    3116 /* confdefs.h.  */
    3117 _ACEOF
    3118 cat confdefs.h >>conftest.$ac_ext
    3119 cat >>conftest.$ac_ext <<_ACEOF
    3120 /* end confdefs.h.  */
    3121 
    3122 int
    3123 main ()
    3124 {
    3125 int i=0;
    3126   ;
    3127   return 0;
    3128 }
    3129 _ACEOF
    3130 rm -f conftest.$ac_objext conftest$ac_exeext
    3131 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3132   (eval $ac_link) 2>conftest.er1
    3133   ac_status=$?
    3134   grep -v '^ *+' conftest.er1 >conftest.err
    3135   rm -f conftest.er1
    3136   cat conftest.err >&5
    3137   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3138   (exit $ac_status); } &&
    3139          { ac_try='test -z "$ac_c_werror_flag"
    3140                          || test ! -s conftest.err'
    3141   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3142   (eval $ac_try) 2>&5
    3143   ac_status=$?
    3144   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3145   (exit $ac_status); }; } &&
    3146          { ac_try='test -s conftest$ac_exeext'
    3147   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3148   (eval $ac_try) 2>&5
    3149   ac_status=$?
    3150   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3151   (exit $ac_status); }; }; then
    3152   echo "$as_me:$LINENO: result: yes" >&5
    3153 echo "${ECHO_T}yes" >&6
    3154 else
    3155   echo "$as_me: failed program was:" >&5
    3156 sed 's/^/| /' conftest.$ac_ext >&5
    3157 
    3158 echo "$as_me:$LINENO: result: no" >&5
    3159 echo "${ECHO_T}no" >&6
    3160        LDFLAGS="$coin_save_LDFLAGS"
    3161        if test $use_static_standardlibs = yes ; then
    3162          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3163 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3164    { (exit 1); exit 1; }; }
    3165        fi
    3166 
    3167 fi
    3168 rm -f conftest.err conftest.$ac_objext \
    3169       conftest$ac_exeext conftest.$ac_ext
    3170     ;;
    3171   esac
    3172 fi
    3173 
    31743069ac_ext=c
    31753070ac_cpp='$CPP $CPPFLAGS'
     
    31923087  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    31933088 esac
    3194 
    31953089
    31963090
     
    34083302
    34093303# Provide some information about the compiler.
    3410 echo "$as_me:3410:" \
     3304echo "$as_me:3304:" \
    34113305     "checking for Fortran 77 compiler version" >&5
    34123306ac_compiler=`set X $ac_compile; echo $2`
     
    36233517        case $F77 in
    36243518          ifort* | */ifort* | IFORT* | */IFORT* )
    3625             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    3626               coin_opt_fflags='-MD -O3'
    3627               coin_dbg_fflags='-MDd -debug'
    3628             else
    3629               coin_opt_fflags='-MT -O3'
    3630               coin_dbg_fflags='-MTd -debug'
    3631             fi
     3519            coin_opt_fflags='-MT -O3'
    36323520            coin_add_fflags='-fpp -nologo'
     3521            coin_dbg_fflags='-MTd -debug'
    36333522          ;;
    36343523          compile_f2c*)
    3635             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    3636               coin_opt_fflags='-MD -O2'
    3637               coin_dbg_fflags='-MDd'
    3638             else
    3639               coin_opt_fflags='-MT -O2'
    3640               coin_dbg_fflags='-MTd'
    3641             fi
     3524            coin_opt_fflags='-MT -O2'
    36423525            coin_add_fflags='-nologo -wd4996'
     3526            coin_dbg_fflags='-MTd'
    36433527          ;;
    36443528        esac
     
    37853669    FFLAGS="$OPT_FFLAGS"
    37863670  fi
    3787 
    37883671else
    37893672  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39283811esac
    39293812
    3930 # check whether to add flag for static linking against standard libraries to LDFLAGS
    3931 if test x$use_static_standardlibs != xno ; then
    3932   case $build in
    3933     *-mingw*)
    3934       static_standardlib_flag=-static
    3935       ;;
    3936     *)
    3937       static_standardlib_flag=-static-libgfortran
    3938       ;;
    3939   esac
    3940   case " $LDFLAGS " in
    3941     *" $static_standardlib_flag "* ) ;;
    3942     *)
    3943     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3944 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3945     coin_save_LDFLAGS="$LDFLAGS"
    3946     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3947     cat >conftest.$ac_ext <<_ACEOF
    3948       program main
    3949       integer i
    3950       end
    3951 _ACEOF
    3952 rm -f conftest.$ac_objext conftest$ac_exeext
    3953 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3954   (eval $ac_link) 2>conftest.er1
    3955   ac_status=$?
    3956   grep -v '^ *+' conftest.er1 >conftest.err
    3957   rm -f conftest.er1
    3958   cat conftest.err >&5
    3959   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3960   (exit $ac_status); } &&
    3961          { ac_try='test -z "$ac_f77_werror_flag"
    3962                          || test ! -s conftest.err'
    3963   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3964   (eval $ac_try) 2>&5
    3965   ac_status=$?
    3966   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3967   (exit $ac_status); }; } &&
    3968          { ac_try='test -s conftest$ac_exeext'
    3969   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3970   (eval $ac_try) 2>&5
    3971   ac_status=$?
    3972   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3973   (exit $ac_status); }; }; then
    3974   echo "$as_me:$LINENO: result: yes" >&5
    3975 echo "${ECHO_T}yes" >&6
    3976 else
    3977   echo "$as_me: failed program was:" >&5
    3978 sed 's/^/| /' conftest.$ac_ext >&5
    3979 
    3980 echo "$as_me:$LINENO: result: no" >&5
    3981 echo "${ECHO_T}no" >&6
    3982        LDFLAGS="$coin_save_LDFLAGS"
    3983        if test $use_static_standardlibs = yes ; then
    3984          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3985 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3986    { (exit 1); exit 1; }; }
    3987        fi
    3988 
    3989 fi
    3990 rm -f conftest.err conftest.$ac_objext \
    3991       conftest$ac_exeext conftest.$ac_ext
    3992     ;;
    3993   esac
    3994 fi
    3995 
    39963813ac_ext=c
    39973814ac_cpp='$CPP $CPPFLAGS'
     
    40543871ac_save_FFLAGS=$FFLAGS
    40553872FFLAGS="$FFLAGS $ac_verb"
    4056 (eval echo $as_me:4056: \"$ac_link\") >&5
     3873(eval echo $as_me:3873: \"$ac_link\") >&5
    40573874ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40583875echo "$ac_f77_v_output" >&5
     
    41323949ac_save_FFLAGS=$FFLAGS
    41333950FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4134 (eval echo $as_me:4134: \"$ac_link\") >&5
     3951(eval echo $as_me:3951: \"$ac_link\") >&5
    41353952ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41363953echo "$ac_f77_v_output" >&5
     
    49214738
    49224739
    4923 
    49244740cat >>confdefs.h <<_ACEOF
    49254741#define COUENNE_VERSION "$PACKAGE_VERSION"
     
    50074823
    50084824
    5009  # Capture libtool library version, if given.
    5010 
     4825# Capture libtool library version, if given.
    50114826
    50124827
     
    51064921
    51074922 #Let's try if that overcomes configuration problem with VC++ 6.0
    5108 
    51094923
    51104924ac_ext=cc
     
    57465560          clang* ) ;;
    57475561          cl* | */cl* | CL* | */CL*)
    5748             # The MT and MTd options are mutually exclusive
    5749             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    5750                coin_opt_cxxflags='-MD -O2'
    5751                coin_dbg_cxxflags='-MDd'
    5752             else
    5753                coin_opt_cxxflags='-MT -O2'
    5754                coin_dbg_cxxflags='-MTd'
    5755             fi
     5562            # The MT and MTd options are mutually exclusive
     5563            coin_opt_cxxflags='-MT -O2'
    57565564            coin_add_cxxflags='-nologo -EHsc -GR -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
     5565            coin_dbg_cxxflags='-MTd'
    57575566            ;;
    57585567          icl* | */icl* | ICL* | */ICL*)
    5759           # The MT and MTd options are mutually exclusive
    5760             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    5761               coin_opt_cxxflags='-MD -Ox'
    5762               coin_dbg_cxxflags='-MDd -debug'
    5763             else
    5764               coin_opt_cxxflags='-MT -Ox'
    5765               coin_dbg_cxxflags='-MTd -debug'
    5766             fi
     5568            # The MT and MTd options are mutually exclusive
     5569            coin_opt_cxxflags='-MT -Ox'
    57675570            coin_add_cxxflags='-nologo -EHsc -GR -D_CRT_SECURE_NO_DEPRECATE'
     5571            coin_dbg_cxxflags='-MTd -debug'
    57685572            ;;
    57695573        esac
     
    61365940esac
    61375941
    6138 # check whether to add flag for static linking against standard libraries to LDFLAGS
    6139 if test x$use_static_standardlibs != xno ; then
    6140   case $build in
    6141     *-mingw*)
    6142       static_standardlib_flag=-static
    6143       ;;
    6144     *)
    6145       static_standardlib_flag=-static-libstdc++
    6146       ;;
    6147   esac
    6148   case " $LDFLAGS " in
    6149     *" $static_standardlib_flag "* ) ;;
    6150     *)
    6151     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    6152 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    6153     coin_save_LDFLAGS="$LDFLAGS"
    6154     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    6155     cat >conftest.$ac_ext <<_ACEOF
    6156 /* confdefs.h.  */
    6157 _ACEOF
    6158 cat confdefs.h >>conftest.$ac_ext
    6159 cat >>conftest.$ac_ext <<_ACEOF
    6160 /* end confdefs.h.  */
    6161 
    6162 #ifdef F77_DUMMY_MAIN
    6163 
    6164 #  ifdef __cplusplus
    6165      extern "C"
    6166 #  endif
    6167    int F77_DUMMY_MAIN() { return 1; }
    6168 
    6169 #endif
    6170 int
    6171 main ()
    6172 {
    6173 int i=0;
    6174   ;
    6175   return 0;
    6176 }
    6177 _ACEOF
    6178 rm -f conftest.$ac_objext conftest$ac_exeext
    6179 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6180   (eval $ac_link) 2>conftest.er1
    6181   ac_status=$?
    6182   grep -v '^ *+' conftest.er1 >conftest.err
    6183   rm -f conftest.er1
    6184   cat conftest.err >&5
    6185   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6186   (exit $ac_status); } &&
    6187          { ac_try='test -z "$ac_cxx_werror_flag"
    6188                          || test ! -s conftest.err'
    6189   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6190   (eval $ac_try) 2>&5
    6191   ac_status=$?
    6192   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6193   (exit $ac_status); }; } &&
    6194          { ac_try='test -s conftest$ac_exeext'
    6195   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6196   (eval $ac_try) 2>&5
    6197   ac_status=$?
    6198   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6199   (exit $ac_status); }; }; then
    6200   echo "$as_me:$LINENO: result: yes" >&5
    6201 echo "${ECHO_T}yes" >&6
    6202 else
    6203   echo "$as_me: failed program was:" >&5
    6204 sed 's/^/| /' conftest.$ac_ext >&5
    6205 
    6206 echo "$as_me:$LINENO: result: no" >&5
    6207 echo "${ECHO_T}no" >&6
    6208        LDFLAGS="$coin_save_LDFLAGS"
    6209        if test $use_static_standardlibs = yes ; then
    6210          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    6211 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    6212    { (exit 1); exit 1; }; }
    6213        fi
    6214 
    6215 fi
    6216 rm -f conftest.err conftest.$ac_objext \
    6217       conftest$ac_exeext conftest.$ac_ext
    6218     ;;
    6219   esac
    6220 fi
    6221 
    62225942ac_ext=c
    62235943ac_cpp='$CPP $CPPFLAGS'
     
    62295949
    62305950# Get the name of the C compiler and appropriate compiler options
    6231 
    62325951
    62335952
     
    70296748          clang* ) ;;
    70306749          cl* | */cl* | CL* | */CL*)
    7031             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    7032               coin_opt_cflags='-MD -O2'
    7033               coin_dbg_cflags='-MDd'
    7034             else
    7035               coin_opt_cflags='-MT -O2'
    7036               coin_dbg_cflags='-MTd'
    7037             fi
     6750            coin_opt_cflags='-MT -O2'
    70386751            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
     6752            coin_dbg_cflags='-MTd'
    70396753            ;;
    70406754          icl* | */icl* | ICL* | */ICL*)
    7041             if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
    7042               coin_opt_cflags='-MD -Ox'
    7043               coin_dbg_cflags='-MDd -debug'
    7044             else
    7045               coin_opt_cflags='-MT -Ox'
    7046               coin_dbg_cflags='-MTd -debug'
    7047             fi
     6755            coin_opt_cflags='-MT -Ox'
    70486756            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
     6757            coin_dbg_cflags='-MTd -debug'
    70496758            ;;
    70506759        esac
     
    72276936    CFLAGS="$OPT_CFLAGS"
    72286937  fi
    7229 
    72306938else
    72316939  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    74127120esac
    74137121
    7414 # check whether to add flags for static linking against standard libraries to LDFLAGS
    7415 if test x$use_static_standardlibs != xno ; then
    7416   case $build in
    7417     *-mingw*)
    7418       static_standardlib_flag=-static
    7419       ;;
    7420     *)
    7421       static_standardlib_flag=-static-libgcc
    7422       ;;
    7423   esac
    7424   case " $LDFLAGS " in
    7425     *" $static_standardlib_flag "* ) ;;
    7426     *)
    7427     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    7428 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    7429     coin_save_LDFLAGS="$LDFLAGS"
    7430     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    7431     cat >conftest.$ac_ext <<_ACEOF
    7432 /* confdefs.h.  */
    7433 _ACEOF
    7434 cat confdefs.h >>conftest.$ac_ext
    7435 cat >>conftest.$ac_ext <<_ACEOF
    7436 /* end confdefs.h.  */
    7437 
    7438 #ifdef F77_DUMMY_MAIN
    7439 
    7440 #  ifdef __cplusplus
    7441      extern "C"
    7442 #  endif
    7443    int F77_DUMMY_MAIN() { return 1; }
    7444 
    7445 #endif
    7446 int
    7447 main ()
    7448 {
    7449 int i=0;
    7450   ;
    7451   return 0;
    7452 }
    7453 _ACEOF
    7454 rm -f conftest.$ac_objext conftest$ac_exeext
    7455 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7456   (eval $ac_link) 2>conftest.er1
    7457   ac_status=$?
    7458   grep -v '^ *+' conftest.er1 >conftest.err
    7459   rm -f conftest.er1
    7460   cat conftest.err >&5
    7461   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7462   (exit $ac_status); } &&
    7463          { ac_try='test -z "$ac_c_werror_flag"
    7464                          || test ! -s conftest.err'
    7465   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7466   (eval $ac_try) 2>&5
    7467   ac_status=$?
    7468   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7469   (exit $ac_status); }; } &&
    7470          { ac_try='test -s conftest$ac_exeext'
    7471   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7472   (eval $ac_try) 2>&5
    7473   ac_status=$?
    7474   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7475   (exit $ac_status); }; }; then
    7476   echo "$as_me:$LINENO: result: yes" >&5
    7477 echo "${ECHO_T}yes" >&6
    7478 else
    7479   echo "$as_me: failed program was:" >&5
    7480 sed 's/^/| /' conftest.$ac_ext >&5
    7481 
    7482 echo "$as_me:$LINENO: result: no" >&5
    7483 echo "${ECHO_T}no" >&6
    7484        LDFLAGS="$coin_save_LDFLAGS"
    7485        if test $use_static_standardlibs = yes ; then
    7486          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    7487 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    7488    { (exit 1); exit 1; }; }
    7489        fi
    7490 
    7491 fi
    7492 rm -f conftest.err conftest.$ac_objext \
    7493       conftest$ac_exeext conftest.$ac_ext
    7494     ;;
    7495   esac
    7496 fi
    7497 
    74987122ac_ext=c
    74997123ac_cpp='$CPP $CPPFLAGS'
     
    75117135# START
    75127136
    7513 coin_disable_shared=no
    75147137# Test if force_shared has been set
    75157138if test "x" = xforce_shared; then
     
    75477170    { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    75487171echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
    7549   else
    7550     # we don't disable shared, because it was not selected anyway
    7551     coin_disable_shared=no
    75527172  fi
    75537173  enable_shared=no
     
    92568876*-*-irix6*)
    92578877  # Find out which ABI we are using.
    9258   echo '#line 9258 "configure"' > conftest.$ac_ext
     8878  echo '#line 8878 "configure"' > conftest.$ac_ext
    92598879  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    92608880  (eval $ac_compile) 2>&5
     
    1123610856   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1123710857   -e 's:$: $lt_compiler_flag:'`
    11238    (eval echo "\"\$as_me:11238: $lt_compile\"" >&5)
     10858   (eval echo "\"\$as_me:10858: $lt_compile\"" >&5)
    1123910859   (eval "$lt_compile" 2>conftest.err)
    1124010860   ac_status=$?
    1124110861   cat conftest.err >&5
    11242    echo "$as_me:11242: \$? = $ac_status" >&5
     10862   echo "$as_me:10862: \$? = $ac_status" >&5
    1124310863   if (exit $ac_status) && test -s "$ac_outfile"; then
    1124410864     # The compiler can only warn and ignore the option if not recognized
     
    1150411124   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1150511125   -e 's:$: $lt_compiler_flag:'`
    11506    (eval echo "\"\$as_me:11506: $lt_compile\"" >&5)
     11126   (eval echo "\"\$as_me:11126: $lt_compile\"" >&5)
    1150711127   (eval "$lt_compile" 2>conftest.err)
    1150811128   ac_status=$?
    1150911129   cat conftest.err >&5
    11510    echo "$as_me:11510: \$? = $ac_status" >&5
     11130   echo "$as_me:11130: \$? = $ac_status" >&5
    1151111131   if (exit $ac_status) && test -s "$ac_outfile"; then
    1151211132     # The compiler can only warn and ignore the option if not recognized
     
    1160811228   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1160911229   -e 's:$: $lt_compiler_flag:'`
    11610    (eval echo "\"\$as_me:11610: $lt_compile\"" >&5)
     11230   (eval echo "\"\$as_me:11230: $lt_compile\"" >&5)
    1161111231   (eval "$lt_compile" 2>out/conftest.err)
    1161211232   ac_status=$?
    1161311233   cat out/conftest.err >&5
    11614    echo "$as_me:11614: \$? = $ac_status" >&5
     11234   echo "$as_me:11234: \$? = $ac_status" >&5
    1161511235   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1161611236   then
     
    1402513645  lt_status=$lt_dlunknown
    1402613646  cat > conftest.$ac_ext <<EOF
    14027 #line 14027 "configure"
     13647#line 13647 "configure"
    1402813648#include "confdefs.h"
    1402913649
     
    1412513745  lt_status=$lt_dlunknown
    1412613746  cat > conftest.$ac_ext <<EOF
    14127 #line 14127 "configure"
     13747#line 13747 "configure"
    1412813748#include "confdefs.h"
    1412913749
     
    1648516105   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1648616106   -e 's:$: $lt_compiler_flag:'`
    16487    (eval echo "\"\$as_me:16487: $lt_compile\"" >&5)
     16107   (eval echo "\"\$as_me:16107: $lt_compile\"" >&5)
    1648816108   (eval "$lt_compile" 2>conftest.err)
    1648916109   ac_status=$?
    1649016110   cat conftest.err >&5
    16491    echo "$as_me:16491: \$? = $ac_status" >&5
     16111   echo "$as_me:16111: \$? = $ac_status" >&5
    1649216112   if (exit $ac_status) && test -s "$ac_outfile"; then
    1649316113     # The compiler can only warn and ignore the option if not recognized
     
    1658916209   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1659016210   -e 's:$: $lt_compiler_flag:'`
    16591    (eval echo "\"\$as_me:16591: $lt_compile\"" >&5)
     16211   (eval echo "\"\$as_me:16211: $lt_compile\"" >&5)
    1659216212   (eval "$lt_compile" 2>out/conftest.err)
    1659316213   ac_status=$?
    1659416214   cat out/conftest.err >&5
    16595    echo "$as_me:16595: \$? = $ac_status" >&5
     16215   echo "$as_me:16215: \$? = $ac_status" >&5
    1659616216   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1659716217   then
     
    1815917779   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1816017780   -e 's:$: $lt_compiler_flag:'`
    18161    (eval echo "\"\$as_me:18161: $lt_compile\"" >&5)
     17781   (eval echo "\"\$as_me:17781: $lt_compile\"" >&5)
    1816217782   (eval "$lt_compile" 2>conftest.err)
    1816317783   ac_status=$?
    1816417784   cat conftest.err >&5
    18165    echo "$as_me:18165: \$? = $ac_status" >&5
     17785   echo "$as_me:17785: \$? = $ac_status" >&5
    1816617786   if (exit $ac_status) && test -s "$ac_outfile"; then
    1816717787     # The compiler can only warn and ignore the option if not recognized
     
    1826317883   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1826417884   -e 's:$: $lt_compiler_flag:'`
    18265    (eval echo "\"\$as_me:18265: $lt_compile\"" >&5)
     17885   (eval echo "\"\$as_me:17885: $lt_compile\"" >&5)
    1826617886   (eval "$lt_compile" 2>out/conftest.err)
    1826717887   ac_status=$?
    1826817888   cat out/conftest.err >&5
    18269    echo "$as_me:18269: \$? = $ac_status" >&5
     17889   echo "$as_me:17889: \$? = $ac_status" >&5
    1827017890   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1827117891   then
     
    2047020090   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2047120091   -e 's:$: $lt_compiler_flag:'`
    20472    (eval echo "\"\$as_me:20472: $lt_compile\"" >&5)
     20092   (eval echo "\"\$as_me:20092: $lt_compile\"" >&5)
    2047320093   (eval "$lt_compile" 2>conftest.err)
    2047420094   ac_status=$?
    2047520095   cat conftest.err >&5
    20476    echo "$as_me:20476: \$? = $ac_status" >&5
     20096   echo "$as_me:20096: \$? = $ac_status" >&5
    2047720097   if (exit $ac_status) && test -s "$ac_outfile"; then
    2047820098     # The compiler can only warn and ignore the option if not recognized
     
    2073820358   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2073920359   -e 's:$: $lt_compiler_flag:'`
    20740    (eval echo "\"\$as_me:20740: $lt_compile\"" >&5)
     20360   (eval echo "\"\$as_me:20360: $lt_compile\"" >&5)
    2074120361   (eval "$lt_compile" 2>conftest.err)
    2074220362   ac_status=$?
    2074320363   cat conftest.err >&5
    20744    echo "$as_me:20744: \$? = $ac_status" >&5
     20364   echo "$as_me:20364: \$? = $ac_status" >&5
    2074520365   if (exit $ac_status) && test -s "$ac_outfile"; then
    2074620366     # The compiler can only warn and ignore the option if not recognized
     
    2084220462   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2084320463   -e 's:$: $lt_compiler_flag:'`
    20844    (eval echo "\"\$as_me:20844: $lt_compile\"" >&5)
     20464   (eval echo "\"\$as_me:20464: $lt_compile\"" >&5)
    2084520465   (eval "$lt_compile" 2>out/conftest.err)
    2084620466   ac_status=$?
    2084720467   cat out/conftest.err >&5
    20848    echo "$as_me:20848: \$? = $ac_status" >&5
     20468   echo "$as_me:20468: \$? = $ac_status" >&5
    2084920469   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2085020470   then
     
    2410923729  use_pkgconfig="$enableval"
    2411023730else
    24111   if test x$coin_cc_is_cl = xtrue; then
    24112      use_pkgconfig=no
    24113    else
    24114      use_pkgconfig=yes
    24115    fi
     23731  use_pkgconfig=yes
    2411623732fi;
    2411723733
     
    2412323739echo "$as_me:$LINENO: checking for $ac_word" >&5
    2412423740echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    24125 if test "${ac_cv_prog_PKG_CONFIG+set}" = set; then
     23741if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
    2412623742  echo $ECHO_N "(cached) $ECHO_C" >&6
    2412723743else
    24128   if test -n "$PKG_CONFIG"; then
    24129   ac_cv_prog_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test.
    24130 else
    24131 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     23744  case $PKG_CONFIG in
     23745  [\\/]* | ?:[\\/]*)
     23746  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
     23747  ;;
     23748  *)
     23749  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2413223750for as_dir in $PATH
    2413323751do
     
    2413623754  for ac_exec_ext in '' $ac_executable_extensions; do
    2413723755  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    24138     ac_cv_prog_PKG_CONFIG="${ac_tool_prefix}pkg-config"
     23756    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
    2413923757    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2414023758    break 2
     
    2414323761done
    2414423762
    24145 fi
    24146 fi
    24147 PKG_CONFIG=$ac_cv_prog_PKG_CONFIG
     23763  ;;
     23764esac
     23765fi
     23766PKG_CONFIG=$ac_cv_path_PKG_CONFIG
     23767
    2414823768if test -n "$PKG_CONFIG"; then
    2414923769  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     
    2415523775
    2415623776fi
    24157 if test -z "$ac_cv_prog_PKG_CONFIG"; then
    24158   ac_ct_PKG_CONFIG=$PKG_CONFIG
     23777if test -z "$ac_cv_path_PKG_CONFIG"; then
     23778  ac_pt_PKG_CONFIG=$PKG_CONFIG
    2415923779  # Extract the first word of "pkg-config", so it can be a program name with args.
    2416023780set dummy pkg-config; ac_word=$2
    2416123781echo "$as_me:$LINENO: checking for $ac_word" >&5
    2416223782echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    24163 if test "${ac_cv_prog_ac_ct_PKG_CONFIG+set}" = set; then
     23783if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
    2416423784  echo $ECHO_N "(cached) $ECHO_C" >&6
    2416523785else
    24166   if test -n "$ac_ct_PKG_CONFIG"; then
    24167   ac_cv_prog_ac_ct_PKG_CONFIG="$ac_ct_PKG_CONFIG" # Let the user override the test.
    24168 else
    24169 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     23786  case $ac_pt_PKG_CONFIG in
     23787  [\\/]* | ?:[\\/]*)
     23788  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
     23789  ;;
     23790  *)
     23791  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2417023792for as_dir in $PATH
    2417123793do
     
    2417423796  for ac_exec_ext in '' $ac_executable_extensions; do
    2417523797  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    24176     ac_cv_prog_ac_ct_PKG_CONFIG="pkg-config"
     23798    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
    2417723799    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2417823800    break 2
     
    2418123803done
    2418223804
    24183 fi
    24184 fi
    24185 ac_ct_PKG_CONFIG=$ac_cv_prog_ac_ct_PKG_CONFIG
    24186 if test -n "$ac_ct_PKG_CONFIG"; then
    24187   echo "$as_me:$LINENO: result: $ac_ct_PKG_CONFIG" >&5
    24188 echo "${ECHO_T}$ac_ct_PKG_CONFIG" >&6
     23805  ;;
     23806esac
     23807fi
     23808ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
     23809
     23810if test -n "$ac_pt_PKG_CONFIG"; then
     23811  echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
     23812echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
    2418923813else
    2419023814  echo "$as_me:$LINENO: result: no" >&5
     
    2419223816fi
    2419323817
    24194   PKG_CONFIG=$ac_ct_PKG_CONFIG
    24195 else
    24196   PKG_CONFIG="$ac_cv_prog_PKG_CONFIG"
     23818  PKG_CONFIG=$ac_pt_PKG_CONFIG
     23819else
     23820  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
    2419723821fi
    2419823822
     
    3097430598s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    3097530599s,@PKG_CONFIG@,$PKG_CONFIG,;t t
    30976 s,@ac_ct_PKG_CONFIG@,$ac_ct_PKG_CONFIG,;t t
     30600s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
    3097730601s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
    3097830602s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
  • trunk/Couenne/src/Makefile.in

    r970 r974  
    344344ac_ct_CXX = @ac_ct_CXX@
    345345ac_ct_F77 = @ac_ct_F77@
    346 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    347346ac_ct_RANLIB = @ac_ct_RANLIB@
    348347ac_ct_STRIP = @ac_ct_STRIP@
    349348ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     349ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    350350am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    351351am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/bound_tightening/Makefile.in

    r970 r974  
    269269ac_ct_CXX = @ac_ct_CXX@
    270270ac_ct_F77 = @ac_ct_F77@
    271 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    272271ac_ct_RANLIB = @ac_ct_RANLIB@
    273272ac_ct_STRIP = @ac_ct_STRIP@
    274273ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     274ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    275275am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    276276am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/bound_tightening/twoImpliedBT/Makefile.in

    r970 r974  
    263263ac_ct_CXX = @ac_ct_CXX@
    264264ac_ct_F77 = @ac_ct_F77@
    265 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    266265ac_ct_RANLIB = @ac_ct_RANLIB@
    267266ac_ct_STRIP = @ac_ct_STRIP@
    268267ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     268ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    269269am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    270270am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/branch/Makefile.in

    r970 r974  
    280280ac_ct_CXX = @ac_ct_CXX@
    281281ac_ct_F77 = @ac_ct_F77@
    282 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    283282ac_ct_RANLIB = @ac_ct_RANLIB@
    284283ac_ct_STRIP = @ac_ct_STRIP@
    285284ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     285ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    286286am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    287287am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/convex/Makefile.in

    r970 r974  
    264264ac_ct_CXX = @ac_ct_CXX@
    265265ac_ct_F77 = @ac_ct_F77@
    266 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    267266ac_ct_RANLIB = @ac_ct_RANLIB@
    268267ac_ct_STRIP = @ac_ct_STRIP@
    269268ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     269ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    270270am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    271271am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/cut/crossconv/Makefile.in

    r970 r974  
    260260ac_ct_CXX = @ac_ct_CXX@
    261261ac_ct_F77 = @ac_ct_F77@
    262 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    263262ac_ct_RANLIB = @ac_ct_RANLIB@
    264263ac_ct_STRIP = @ac_ct_STRIP@
    265264ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     265ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    266266am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    267267am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/cut/sdpcuts/Makefile.in

    r970 r974  
    261261ac_ct_CXX = @ac_ct_CXX@
    262262ac_ct_F77 = @ac_ct_F77@
    263 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    264263ac_ct_RANLIB = @ac_ct_RANLIB@
    265264ac_ct_STRIP = @ac_ct_STRIP@
    266265ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     266ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    267267am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    268268am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/disjunctive/Makefile.in

    r970 r974  
    263263ac_ct_CXX = @ac_ct_CXX@
    264264ac_ct_F77 = @ac_ct_F77@
    265 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    266265ac_ct_RANLIB = @ac_ct_RANLIB@
    267266ac_ct_STRIP = @ac_ct_STRIP@
    268267ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     268ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    269269am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    270270am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/expression/Makefile.in

    r970 r974  
    279279ac_ct_CXX = @ac_ct_CXX@
    280280ac_ct_F77 = @ac_ct_F77@
    281 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    282281ac_ct_RANLIB = @ac_ct_RANLIB@
    283282ac_ct_STRIP = @ac_ct_STRIP@
    284283ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     284ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    285285am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    286286am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/heuristics/Makefile.in

    r970 r974  
    276276ac_ct_CXX = @ac_ct_CXX@
    277277ac_ct_F77 = @ac_ct_F77@
    278 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    279278ac_ct_RANLIB = @ac_ct_RANLIB@
    280279ac_ct_STRIP = @ac_ct_STRIP@
    281280ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     281ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    282282am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    283283am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/interfaces/Makefile.in

    r970 r974  
    261261ac_ct_CXX = @ac_ct_CXX@
    262262ac_ct_F77 = @ac_ct_F77@
    263 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    264263ac_ct_RANLIB = @ac_ct_RANLIB@
    265264ac_ct_STRIP = @ac_ct_STRIP@
    266265ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     266ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    267267am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    268268am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/main/Makefile.in

    r972 r974  
    278278ac_ct_CXX = @ac_ct_CXX@
    279279ac_ct_F77 = @ac_ct_F77@
    280 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    281280ac_ct_RANLIB = @ac_ct_RANLIB@
    282281ac_ct_STRIP = @ac_ct_STRIP@
    283282ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     283ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    284284am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    285285am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/problem/Makefile.in

    r970 r974  
    297297ac_ct_CXX = @ac_ct_CXX@
    298298ac_ct_F77 = @ac_ct_F77@
    299 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    300299ac_ct_RANLIB = @ac_ct_RANLIB@
    301300ac_ct_STRIP = @ac_ct_STRIP@
    302301ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     302ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    303303am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    304304am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/readnl/Makefile.in

    r970 r974  
    267267ac_ct_CXX = @ac_ct_CXX@
    268268ac_ct_F77 = @ac_ct_F77@
    269 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    270269ac_ct_RANLIB = @ac_ct_RANLIB@
    271270ac_ct_STRIP = @ac_ct_STRIP@
    272271ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     272ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    273273am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    274274am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/standardize/Makefile.in

    r970 r974  
    263263ac_ct_CXX = @ac_ct_CXX@
    264264ac_ct_F77 = @ac_ct_F77@
    265 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    266265ac_ct_RANLIB = @ac_ct_RANLIB@
    267266ac_ct_STRIP = @ac_ct_STRIP@
    268267ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     268ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    269269am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    270270am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/util/Makefile.in

    r970 r974  
    260260ac_ct_CXX = @ac_ct_CXX@
    261261ac_ct_F77 = @ac_ct_F77@
    262 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    263262ac_ct_RANLIB = @ac_ct_RANLIB@
    264263ac_ct_STRIP = @ac_ct_STRIP@
    265264ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     265ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    266266am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    267267am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/test/Makefile.in

    r970 r974  
    243243ac_ct_CXX = @ac_ct_CXX@
    244244ac_ct_F77 = @ac_ct_F77@
    245 ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    246245ac_ct_RANLIB = @ac_ct_RANLIB@
    247246ac_ct_STRIP = @ac_ct_STRIP@
    248247ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     248ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    249249am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    250250am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/configure

    r786 r974  
    477477ac_subdirs_all="$ac_subdirs_all ThirdParty/Blas"
    478478ac_subdirs_all="$ac_subdirs_all ThirdParty/Lapack"
     479ac_subdirs_all="$ac_subdirs_all ThirdParty/Metis"
    479480ac_subdirs_all="$ac_subdirs_all ThirdParty/HSL"
    480 ac_subdirs_all="$ac_subdirs_all ThirdParty/Metis"
    481481ac_subdirs_all="$ac_subdirs_all ThirdParty/Mumps"
    482482ac_subdirs_all="$ac_subdirs_all ThirdParty/SoPlex"
     
    11531153  --with-lapack           specify LAPACK library (or BUILD to enforce use of
    11541154                          ThirdParty/Lapack)
     1155  --with-metis-lib linker flags for using project Metis
     1156  --with-metis-incdir directory with header files for using project Metis
     1157  --with-metis-datadir directory with data files for using project Metis
    11551158  --with-hsl-lib linker flags for using project HSL
    11561159  --with-hsl-incdir directory with header files for using project HSL
    11571160  --with-hsl-datadir directory with data files for using project HSL
    1158   --with-metis-lib linker flags for using project Metis
    1159   --with-metis-incdir directory with header files for using project Metis
    1160   --with-metis-datadir directory with data files for using project Metis
    11611161  --with-mumps-lib linker flags for using project Mumps
    11621162  --with-mumps-incdir directory with header files for using project Mumps
     
    2139921399
    2140021400
    21401 echo "$as_me:$LINENO: checking whether source of project HSL is available and should be compiled" >&5
    21402 echo $ECHO_N "checking whether source of project HSL is available and should be compiled... $ECHO_C" >&6
    21403 
    21404 coin_has_hsl=notGiven
    21405 coin_reason=
    21406 
    21407 # check if user wants to skip project in any case
    21408 
    21409 if test x"$COIN_SKIP_PROJECTS" != x; then
    21410   for dir in $COIN_SKIP_PROJECTS; do
    21411     if test $dir = "HSL"; then
    21412       coin_has_hsl="no"
    21413       coin_reason="HSL has been specified in COIN_SKIP_PROJECTS"
    21414     fi
    21415 
    21416     if test $dir = "ThirdParty/HSL"; then
    21417       coin_has_hsl="no"
    21418       coin_reason="ThirdParty/HSL has been specified in COIN_SKIP_PROJECTS"
    21419     fi
    21420   done
    21421 fi
    21422 
    21423 if test "$coin_has_hsl" != no; then
    21424 
    21425 # Check whether --with-m4_tolower(HSL) or --without-m4_tolower(HSL) was given.
    21426 if test "${with_hsl+set}" = set; then
    21427   withval="$with_hsl"
    21428   if test "$withval" = no ; then
    21429        coin_has_hsl="no"
    21430        coin_reason="--without-hsl has been specified"
    21431      fi
    21432 
    21433 fi;
    21434 fi
    21435 
    21436 if test "$coin_has_hsl" != no; then
    21437 
    21438 # Check whether --with-m4_tolower(HSL)-lib or --without-m4_tolower(HSL)-lib was given.
    21439 if test "${with_hsl_lib+set}" = set; then
    21440   withval="$with_hsl_lib"
    21441   if test "$withval" = no ; then
    21442        coin_has_hsl="no"
    21443        coin_reason="--without-hsl-lib has been specified"
    21444      else
    21445        coin_has_hsl="no"
    21446        coin_reason="--with-hsl-lib has been specified"
    21447      fi
    21448 fi;
    21449 fi
    21450 
    21451 if test "$coin_has_hsl" != no; then
    21452 
    21453 # Check whether --with-m4_tolower(HSL)-incdir or --without-m4_tolower(HSL)-incdir was given.
    21454 if test "${with_hsl_incdir+set}" = set; then
    21455   withval="$with_hsl_incdir"
    21456   if test "$withval" = no ; then
    21457        coin_has_hsl="no"
    21458        coin_reason="--without-hsl-incdir has been specified"
    21459      else
    21460        coin_has_hsl="no"
    21461        coin_reason="--with-hsl-incdir has been specified"
    21462      fi
    21463 fi;
    21464 fi
    21465 
    21466 if test "$coin_has_hsl" != no; then
    21467 
    21468 # Check whether --with-m4_tolower(HSL)-datadir or --without-m4_tolower(HSL)-datadir was given.
    21469 if test "${with_hsl_datadir+set}" = set; then
    21470   withval="$with_hsl_datadir"
    21471   if test "$withval" = no ; then
    21472        coin_has_hsl="no"
    21473        coin_reason="--without-hsl-datadir has been specified"
    21474      else
    21475        coin_has_hsl="no"
    21476        coin_reason="--with-hsl-datadir has been specified"
    21477      fi
    21478 fi;
    21479 fi
    21480 
    21481 
    21482 
    21483 
    21484 
    21485 # check if project is available in present directory
    21486 if test "$coin_has_hsl" = notGiven; then
    21487   coin_has_hsl=no
    21488   if test -d $srcdir/ThirdParty/HSL; then
    21489     coin_reason="source in ThirdParty/HSL"
    21490     # If a third argument is given, then we have to check if one one the files given in that third argument is present.
    21491     # If none of the files in the third argument is available, then we consider the project directory as non-existing.
    21492     # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
    21493      coin_has_hsl="yes"
    21494 
    21495   fi
    21496 fi
    21497 
    21498 if test -z "$coin_reason" ; then
    21499   echo "$as_me:$LINENO: result: $coin_has_hsl" >&5
    21500 echo "${ECHO_T}$coin_has_hsl" >&6
    21501 else
    21502   echo "$as_me:$LINENO: result: $coin_has_hsl, $coin_reason" >&5
    21503 echo "${ECHO_T}$coin_has_hsl, $coin_reason" >&6
    21504 fi
    21505 
    21506 if test "$coin_has_hsl" = yes ; then
    21507   if test -r $srcdir/ThirdParty/HSL/configure; then
    21508     coin_subdirs="$coin_subdirs ThirdParty/HSL"
    21509 
    21510 
    21511 subdirs="$subdirs ThirdParty/HSL"
    21512 
    21513   fi
    21514 fi
    21515 
    21516 
    2151721401echo "$as_me:$LINENO: checking whether source of project Metis is available and should be compiled" >&5
    2151821402echo $ECHO_N "checking whether source of project Metis is available and should be compiled... $ECHO_C" >&6
     
    2163421518
    2163521519subdirs="$subdirs ThirdParty/Metis"
     21520
     21521  fi
     21522fi
     21523
     21524
     21525echo "$as_me:$LINENO: checking whether source of project HSL is available and should be compiled" >&5
     21526echo $ECHO_N "checking whether source of project HSL is available and should be compiled... $ECHO_C" >&6
     21527
     21528coin_has_hsl=notGiven
     21529coin_reason=
     21530
     21531# check if user wants to skip project in any case
     21532
     21533if test x"$COIN_SKIP_PROJECTS" != x; then
     21534  for dir in $COIN_SKIP_PROJECTS; do
     21535    if test $dir = "HSL"; then
     21536      coin_has_hsl="no"
     21537      coin_reason="HSL has been specified in COIN_SKIP_PROJECTS"
     21538    fi
     21539
     21540    if test $dir = "ThirdParty/HSL"; then
     21541      coin_has_hsl="no"
     21542      coin_reason="ThirdParty/HSL has been specified in COIN_SKIP_PROJECTS"
     21543    fi
     21544  done
     21545fi
     21546
     21547if test "$coin_has_hsl" != no; then
     21548
     21549# Check whether --with-m4_tolower(HSL) or --without-m4_tolower(HSL) was given.
     21550if test "${with_hsl+set}" = set; then
     21551  withval="$with_hsl"
     21552  if test "$withval" = no ; then
     21553       coin_has_hsl="no"
     21554       coin_reason="--without-hsl has been specified"
     21555     fi
     21556
     21557fi;
     21558fi
     21559
     21560if test "$coin_has_hsl" != no; then
     21561
     21562# Check whether --with-m4_tolower(HSL)-lib or --without-m4_tolower(HSL)-lib was given.
     21563if test "${with_hsl_lib+set}" = set; then
     21564  withval="$with_hsl_lib"
     21565  if test "$withval" = no ; then
     21566       coin_has_hsl="no"
     21567       coin_reason="--without-hsl-lib has been specified"
     21568     else
     21569       coin_has_hsl="no"
     21570       coin_reason="--with-hsl-lib has been specified"
     21571     fi
     21572fi;
     21573fi
     21574
     21575if test "$coin_has_hsl" != no; then
     21576
     21577# Check whether --with-m4_tolower(HSL)-incdir or --without-m4_tolower(HSL)-incdir was given.
     21578if test "${with_hsl_incdir+set}" = set; then
     21579  withval="$with_hsl_incdir"
     21580  if test "$withval" = no ; then
     21581       coin_has_hsl="no"
     21582       coin_reason="--without-hsl-incdir has been specified"
     21583     else
     21584       coin_has_hsl="no"
     21585       coin_reason="--with-hsl-incdir has been specified"
     21586     fi
     21587fi;
     21588fi
     21589
     21590if test "$coin_has_hsl" != no; then
     21591
     21592# Check whether --with-m4_tolower(HSL)-datadir or --without-m4_tolower(HSL)-datadir was given.
     21593if test "${with_hsl_datadir+set}" = set; then
     21594  withval="$with_hsl_datadir"
     21595  if test "$withval" = no ; then
     21596       coin_has_hsl="no"
     21597       coin_reason="--without-hsl-datadir has been specified"
     21598     else
     21599       coin_has_hsl="no"
     21600       coin_reason="--with-hsl-datadir has been specified"
     21601     fi
     21602fi;
     21603fi
     21604
     21605
     21606
     21607
     21608
     21609# check if project is available in present directory
     21610if test "$coin_has_hsl" = notGiven; then
     21611  coin_has_hsl=no
     21612  if test -d $srcdir/ThirdParty/HSL; then
     21613    coin_reason="source in ThirdParty/HSL"
     21614    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     21615    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     21616    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     21617     coin_has_hsl="yes"
     21618
     21619  fi
     21620fi
     21621
     21622if test -z "$coin_reason" ; then
     21623  echo "$as_me:$LINENO: result: $coin_has_hsl" >&5
     21624echo "${ECHO_T}$coin_has_hsl" >&6
     21625else
     21626  echo "$as_me:$LINENO: result: $coin_has_hsl, $coin_reason" >&5
     21627echo "${ECHO_T}$coin_has_hsl, $coin_reason" >&6
     21628fi
     21629
     21630if test "$coin_has_hsl" = yes ; then
     21631  if test -r $srcdir/ThirdParty/HSL/configure; then
     21632    coin_subdirs="$coin_subdirs ThirdParty/HSL"
     21633
     21634
     21635subdirs="$subdirs ThirdParty/HSL"
    2163621636
    2163721637  fi
  • trunk/configure.ac

    r758 r974  
    4545AC_COIN_MAIN_PACKAGEDIR(Blas,  ThirdParty,[daxpy.f])
    4646AC_COIN_MAIN_PACKAGEDIR(Lapack,ThirdParty,[LAPACK/SRC/dlarf.f])
     47AC_COIN_MAIN_PACKAGEDIR(Metis, ThirdParty,[metis-4.0/Lib/balance.c])
    4748AC_COIN_MAIN_PACKAGEDIR(HSL,   ThirdParty)
    48 AC_COIN_MAIN_PACKAGEDIR(Metis, ThirdParty,[metis-4.0/Lib/balance.c])
    4949AC_COIN_MAIN_PACKAGEDIR(Mumps, ThirdParty,[MUMPS/src/dmumps_part1.F])
    5050AC_COIN_MAIN_PACKAGEDIR(SoPlex,ThirdParty,[soplex/src/soplex.h])
Note: See TracChangeset for help on using the changeset viewer.